Commit d3bbe33e authored by Marin Jankovski's avatar Marin Jankovski

Bump omnibus-software version. Add licenses.

parent 231b50f5
GIT
remote: git://github.com/opscode/omnibus-software.git
revision: fa5f62f0520412dc6687580cda6c2ab602438d30
revision: f0de110b280a1b6a70493c984565dc56cce9a1e7
branch: master
specs:
omnibus-software (4.0.0)
chef-sugar (>= 3.4.0)
omnibus (>= 5.2.0)
GIT
remote: https://dev.gitlab.org/gitlab/omnibus.git
......
......@@ -22,6 +22,9 @@
name "chef-zero"
default_version "4.8.0"
license "Apache-2.0"
license_file "https://github.com/chef/chef-zero/blob/v#{version}/LICENSE"
dependency "ruby"
dependency "rubygems"
......
......@@ -20,6 +20,9 @@ default_version "7.47.1"
dependency "zlib"
dependency "openssl"
license "MIT"
license_file "COPYING"
version "7.47.1" do
source md5: "3f9d1be7bf33ca4b8c8602820525302b"
end
......
......@@ -19,6 +19,9 @@
name "git"
default_version "2.7.4"
license "GPL-2"
license_file "COPYING"
dependency "zlib"
dependency "openssl"
dependency "curl"
......
......@@ -20,6 +20,8 @@ version = Gitlab::Version.new("GITLAB_PAGES_VERSION")
name "gitlab-pages"
default_version version.print
license "MIT"
source :git => version.remote
build do
......
......@@ -21,6 +21,9 @@ version = Gitlab::Version.new("VERSION")
name "gitlab-rails"
default_version version.print
license "MIT"
license_file "LICENSE"
EE = system("#{Omnibus::Config.project_root}/support/is_gitlab_ee.sh")
dependency "ruby"
......
......@@ -21,6 +21,9 @@ version = Gitlab::Version.new("GITLAB_SHELL_VERSION")
name "gitlab-shell"
default_version version.print
license "MIT"
license_file "LICENSE"
dependency "ruby"
dependency "rsync"
......
......@@ -20,6 +20,9 @@ version = Gitlab::Version.new("GITLAB_WORKHORSE_VERSION")
name "gitlab-workhorse"
default_version version.print
license "MIT"
license_file "LICENSE"
source :git => version.remote
......
......@@ -34,8 +34,8 @@ build do
patch source: 'disable-keyutils.patch', target: 'src/configure'
command "./configure" \
" --prefix=#{install_dir}/embedded --without-system-verto", env: env, cwd: "#{Omnibus::Config.source_dir}/krb5-#{version}/src"
" --prefix=#{install_dir}/embedded --without-system-verto", env: env, cwd: "#{Omnibus::Config.source_dir}/krb5/krb5-#{version}/src"
command "make -j #{workers}", env: env, cwd: "#{Omnibus::Config.source_dir}/krb5-#{version}/src"
command "make install", cwd: "#{Omnibus::Config.source_dir}/krb5-#{version}/src"
command "make -j #{workers}", env: env, cwd: "#{Omnibus::Config.source_dir}/krb5/krb5-#{version}/src"
command "make install", cwd: "#{Omnibus::Config.source_dir}/krb5/krb5-#{version}/src"
end
......@@ -24,6 +24,9 @@ source :url => "http://download.icu-project.org/files/icu4c/56.1/icu4c-56_1-src.
relative_path 'icu/source'
license "MIT"
license_file "license.html"
build do
env = with_standard_compiler_flags(with_embedded_path)
env['LD_RPATH'] = "#{install_dir}/embedded/lib"
......
......@@ -22,6 +22,10 @@ default_version "3.2.0"
source url: "https://releases.mattermost.com/#{version}/mattermost-team-#{version}-linux-amd64.tar.gz",
md5: '4cdc51e5793b44e9e69919d747a7f947'
relative_path "mattermost"
license "MIT with Trademark Protection"
build do
move "bin/platform", "#{install_dir}/embedded/bin/mattermost"
......
......@@ -18,6 +18,9 @@
name "mysql-client"
default_version "5.5.37"
license "GPL-2"
license_file "COPYING"
dependency "openssl"
dependency "zlib"
dependency "ncurses"
......
......@@ -17,6 +17,10 @@
name "ncurses"
default_version "5.9"
license "MIT"
license_file "http://invisible-island.net/ncurses/ncurses-license.html"
license_file "http://invisible-island.net/ncurses/ncurses.faq.html"
dependency "libtool" if aix?
dependency "patch" if solaris2?
......
......@@ -19,6 +19,9 @@
name "nginx"
default_version "1.10.1"
license "BSD-2-Clause"
license_file "LICENSE"
dependency "pcre"
dependency "openssl"
......
......@@ -17,6 +17,9 @@
name "nodejs"
default_version "0.10.35"
license "MIT"
license_file "LICENSE"
version "0.10.10" do
source md5: "a47a9141567dd591eec486db05b09e1c"
end
......
......@@ -17,6 +17,9 @@
name "ohai"
default_version "8.15.1"
license "Apache-2.0"
license_file "LICENSE"
dependency "ruby"
dependency "rubygems"
......
......@@ -17,6 +17,9 @@
name "openssl"
license "OpenSSL"
license_file "LICENSE"
dependency "zlib"
dependency "cacerts"
dependency "makedepend" unless aix?
......
......@@ -20,6 +20,8 @@ name "python-docutils"
default_version "0.11"
license "BSD-2-Clause"
dependency "python3"
build do
......
......@@ -19,6 +19,9 @@
name "registry"
default_version "v2.4.1"
license "Apache-2.0"
license_file "https://github.com/docker/distribution/blob/#{version}/LICENSE"
source :git => "https://github.com/docker/distribution.git"
relative_path "github.com/docker/distribution"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment